# -*- coding: utf-8 -*-
# Generated by Django 1.11.14 on 2018-09-07 09:40
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone
import model_utils.fields


class Migration(migrations.Migration):

    dependencies = [
        ('django_shopify_synchronizer', '0004_auto_20180719_1553'),
    ]

    operations = [
        migrations.CreateModel(
            name='ExternalProductToShopifyProductMap',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', model_utils.fields.AutoCreatedField(default=django.utils.timezone.now, editable=False, verbose_name='created')),
                ('modified', model_utils.fields.AutoLastModifiedField(default=django.utils.timezone.now, editable=False, verbose_name='modified')),
                ('vendor_product_id', models.CharField(max_length=256)),
                ('product', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='django_shopify_synchronizer.Product')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='ImportSource',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', model_utils.fields.AutoCreatedField(default=django.utils.timezone.now, editable=False, verbose_name='created')),
                ('modified', model_utils.fields.AutoLastModifiedField(default=django.utils.timezone.now, editable=False, verbose_name='modified')),
                ('file', models.FileField(upload_to=b'')),
                ('items_count', models.IntegerField()),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='ImportTask',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', model_utils.fields.AutoCreatedField(default=django.utils.timezone.now, editable=False, verbose_name='created')),
                ('modified', model_utils.fields.AutoLastModifiedField(default=django.utils.timezone.now, editable=False, verbose_name='modified')),
                ('started', models.DateTimeField(editable=False)),
                ('stopped', models.DateTimeField(editable=False)),
                ('success', models.NullBooleanField(editable=False)),
                ('processed_count', models.IntegerField(blank=True, editable=False, null=True)),
                ('imported_count', models.IntegerField(blank=True, editable=False, null=True)),
                ('updated_count', models.IntegerField(blank=True, editable=False, null=True)),
                ('failed_count', models.IntegerField(blank=True, editable=False, null=True)),
                ('import_source', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='django_shopify_synchronizer.ImportSource')),
                ('target_shop', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='django_shopify_synchronizer.Shop', verbose_name='Sync to shop')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='ShopifyImagesUrlMap',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', model_utils.fields.AutoCreatedField(default=django.utils.timezone.now, editable=False, verbose_name='created')),
                ('modified', model_utils.fields.AutoLastModifiedField(default=django.utils.timezone.now, editable=False, verbose_name='modified')),
                ('shopify_url', models.URLField()),
                ('external_url', models.URLField()),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Vendor',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created', model_utils.fields.AutoCreatedField(default=django.utils.timezone.now, editable=False, verbose_name='created')),
                ('modified', model_utils.fields.AutoLastModifiedField(default=django.utils.timezone.now, editable=False, verbose_name='modified')),
                ('name', models.CharField(max_length=256)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.AlterField(
            model_name='syncdirectivemap',
            name='dst',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='directives_targets', to='django_shopify_synchronizer.Shop', verbose_name='Sync to shop'),
        ),
        migrations.AlterField(
            model_name='syncdirectivemap',
            name='src',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='directives_sources', to='django_shopify_synchronizer.Shop', verbose_name='Listen on shop'),
        ),
        migrations.AlterField(
            model_name='syncdirectivemap',
            name='topic',
            field=models.CharField(choices=[('products/create', 'Product create'), ('products/update', 'Product update')], max_length=32, verbose_name='Webhook listener'),
        ),
        migrations.AddField(
            model_name='importsource',
            name='vendor',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='django_shopify_synchronizer.Vendor'),
        ),
        migrations.AddField(
            model_name='externalproducttoshopifyproductmap',
            name='vendor',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='django_shopify_synchronizer.Vendor'),
        ),
    ]
